; http://www.powerbasic.com/support/forums/Forum7/HTML/001674.html

GdiplusStartupInput STRUCT

GdiplusVersion           	DWORD ? ; Must be 1
DebugEventCallback       	DWORD ? ; Ignored on free builds
SuppressBackgroundThread	DWORD ? ; FALSE unless you're prepared to call the hook/unhook functions properly
SuppressExternalCodecs   	DWORD ?	; FALSE unless you want GDI+ only to use its internal image codecs

GdiplusStartupInput ENDS

; http://msdn.microsoft.com/en-us/library/ms533843(VS.85).aspx

ImageCodecInfo STRUCT

Clsid						CLSID <?>	; Codec identifier.
FormatID					GUID  <?>	; File format identifier. GUIDs that identify various file formats (ImageFormatBMP, ImageFormatEMF, and the like) are defined in Gdiplusimaging.h.
CodecName					DWORD ?	; Pointer to a null-terminated string that contains the codec name.
DllName						DWORD ?	; Pointer to a null-terminated string that contains the path name of the DLL in which the codec resides. If the codec is not in a DLL, this pointer is NULL.
FormatDescription			DWORD ?	; Pointer to a null-terminated string that contains the name of the file format used by the codec.
FilenameExtension			DWORD ?	; Pointer to a null-terminated string that contains all file-name extensions associated with the codec. The extensions are separated by semicolons.
MimeType					DWORD ?	; Pointer to a null-terminated string that contains the mime type of the codec.
Flags						DWORD ?	; Combination of flags from the ImageCodecFlags enumeration.
Version						DWORD ?	; Integer that indicates the version of the codec.
SigCount					DWORD ?	; Integer that indicates the number of signatures used by the file format associated with the codec.
SigSize						DWORD ?	; Integer that indicates the number of bytes in each signature.
SigPattern					DWORD ?	; Pointer to an array of bytes that contains the pattern for each signature.
SigMask						DWORD ?	; Pointer to an array of bytes that contains the mask for each signature. 

ImageCodecInfo ENDS
